%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           moovida-plugins-bad
Version:        1.0.9
Release:        4%{?dist}
Summary:        Moovida media center "bad" plugins

Group:          Development/Languages
License:        GPLv3
URL:            http://www.moovida.com
Source0:        http://www.moovida.com/media/public/moovida-plugins-bad-%{version}.tar.gz
Patch0:         moovida-plugins-bad-install.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  moovida-base = %{version}
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       moovida-base = %{version}
Requires:       dbus-python
Requires:       avahi-tools
Requires:       python-Coherence
Requires:       python-twisted-web2
Requires:       python-storm-sqlite
Requires:       gstreamer-python
Requires:       gstreamer-plugins-good
Requires:       python-imaging
Requires:       python-gpod
Requires:       pigment-python >= 0.3.12
Requires:       pygtk2
Requires:       python-cssutils
Requires:       python-twisted-web
Requires:       python-simplejson

Obsoletes:      elisa-plugins-bad <= 0.5.35
Provides:       elisa-plugins-bad = %{version}-%{release}

%description
Moovida is much more than a simple media player... it is a cutting edge media
center bringing the best of the internet to your TV screen. Automatically
creating your own digital library you can browse from your sofa with a remote
control. The elegant and easy to use interface automatically displays artwork
and fan art throughout and gives you access to movie synopsis and artist info.

This package contains plug-ins that have licensing issues, aren't tested
well enough, or the code is not of good enough quality.

%prep
%setup -q -n elisa-plugins-bad-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/elisa_plugin_wmd*
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/elisa/plugins/wmd*
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/elisa_plugin_winremote*
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/elisa/plugins/winremote*
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/elisa_plugin_smbwin32*
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/elisa/plugins/smbwin32*
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{python_sitelib}/elisa
%dir %{python_sitelib}/elisa/plugins
%{python_sitelib}/elisa/plugins/amazon
%{python_sitelib}/elisa/plugins/amp
%{python_sitelib}/elisa/plugins/avahi
%{python_sitelib}/elisa/plugins/coherence
%{python_sitelib}/elisa/plugins/daap
%dir %{python_sitelib}/elisa/plugins/database
%{python_sitelib}/elisa/plugins/database/*.py
%{python_sitelib}/elisa/plugins/database/*.pyo
%{python_sitelib}/elisa/plugins/database/*.pyc
%{python_sitelib}/elisa/plugins/database/*.conf
%{python_sitelib}/elisa/plugins/database/pieces
%{python_sitelib}/elisa/plugins/database/tests
%dir %{python_sitelib}/elisa/plugins/database/i18n
%{python_sitelib}/elisa/plugins/database/i18n/__init__*
%{python_sitelib}/elisa/plugins/database/i18n/*.po
%{python_sitelib}/elisa/plugins/database/i18n/*.pot
%{python_sitelib}/elisa/plugins/discogs
%dir %{python_sitelib}/elisa/plugins/dvd
%{python_sitelib}/elisa/plugins/dvd/*.py
%{python_sitelib}/elisa/plugins/dvd/*.pyc
%{python_sitelib}/elisa/plugins/dvd/*.pyo
%{python_sitelib}/elisa/plugins/dvd/*.conf
%{python_sitelib}/elisa/plugins/dvd/artwork
%{python_sitelib}/elisa/plugins/dvd/tests
%dir %{python_sitelib}/elisa/plugins/dvd/i18n
%{python_sitelib}/elisa/plugins/dvd/i18n/__init__*
%{python_sitelib}/elisa/plugins/dvd/i18n/*.po
%{python_sitelib}/elisa/plugins/dvd/i18n/*.pot
%{python_sitelib}/elisa/plugins/elisa_updater
%{python_sitelib}/elisa/plugins/filtered_shares
%{python_sitelib}/elisa/plugins/gstreamer
%{python_sitelib}/elisa/plugins/http_client
%{python_sitelib}/elisa/plugins/ipod
%{python_sitelib}/elisa/plugins/lastfm
%{python_sitelib}/elisa/plugins/osso
%{python_sitelib}/elisa/plugins/pigment
%dir %{python_sitelib}/elisa/plugins/poblesec
%{python_sitelib}/elisa/plugins/poblesec/*.py
%{python_sitelib}/elisa/plugins/poblesec/*.pyo
%{python_sitelib}/elisa/plugins/poblesec/*.pyc
%{python_sitelib}/elisa/plugins/poblesec/*.conf
%{python_sitelib}/elisa/plugins/poblesec/base
%{python_sitelib}/elisa/plugins/poblesec/configuration
%{python_sitelib}/elisa/plugins/poblesec/data
%{python_sitelib}/elisa/plugins/poblesec/slideshow
%{python_sitelib}/elisa/plugins/poblesec/tests
%{python_sitelib}/elisa/plugins/poblesec/theme
%{python_sitelib}/elisa/plugins/poblesec/widgets
%dir %{python_sitelib}/elisa/plugins/poblesec/i18n
%{python_sitelib}/elisa/plugins/poblesec/i18n/__init__*
%{python_sitelib}/elisa/plugins/poblesec/i18n/*.po
%{python_sitelib}/elisa/plugins/poblesec/i18n/*.pot
%{python_sitelib}/elisa/plugins/rss
%dir %{python_sitelib}/elisa/plugins/search
%{python_sitelib}/elisa/plugins/search/*.py
%{python_sitelib}/elisa/plugins/search/*.pyo
%{python_sitelib}/elisa/plugins/search/*.pyc
%{python_sitelib}/elisa/plugins/search/tests
%dir %{python_sitelib}/elisa/plugins/search/i18n
%{python_sitelib}/elisa/plugins/search/i18n/__init__*
%{python_sitelib}/elisa/plugins/search/i18n/*.po
%{python_sitelib}/elisa/plugins/search/i18n/*.pot
%{python_sitelib}/elisa/plugins/themoviedb
%{python_sitelib}/elisa/plugins/thetvdb
%{python_sitelib}/elisa_plugin_*
# Nonstandard locale data because it's not in standard locale directory
%lang(cs) %{python_sitelib}/elisa/plugins/database/i18n/cs
%lang(de) %{python_sitelib}/elisa/plugins/database/i18n/de
%lang(es) %{python_sitelib}/elisa/plugins/database/i18n/es
%lang(et) %{python_sitelib}/elisa/plugins/database/i18n/et
%lang(fr) %{python_sitelib}/elisa/plugins/database/i18n/fr
%lang(gl) %{python_sitelib}/elisa/plugins/database/i18n/gl
%lang(hu) %{python_sitelib}/elisa/plugins/database/i18n/hu
%lang(it) %{python_sitelib}/elisa/plugins/database/i18n/it
%lang(nl) %{python_sitelib}/elisa/plugins/database/i18n/nl
%lang(pl) %{python_sitelib}/elisa/plugins/database/i18n/pl
%lang(ru) %{python_sitelib}/elisa/plugins/database/i18n/ru
%lang(sk) %{python_sitelib}/elisa/plugins/database/i18n/sk
%lang(cs) %{python_sitelib}/elisa/plugins/dvd/i18n/cs
%lang(de) %{python_sitelib}/elisa/plugins/dvd/i18n/de
%lang(es) %{python_sitelib}/elisa/plugins/dvd/i18n/es
%lang(et) %{python_sitelib}/elisa/plugins/dvd/i18n/et
%lang(fr) %{python_sitelib}/elisa/plugins/dvd/i18n/fr
%lang(gl) %{python_sitelib}/elisa/plugins/dvd/i18n/gl
%lang(hu) %{python_sitelib}/elisa/plugins/dvd/i18n/hu
%lang(it) %{python_sitelib}/elisa/plugins/dvd/i18n/it
%lang(nl) %{python_sitelib}/elisa/plugins/dvd/i18n/nl
%lang(pl) %{python_sitelib}/elisa/plugins/dvd/i18n/pl
%lang(ru) %{python_sitelib}/elisa/plugins/dvd/i18n/ru
%lang(sk) %{python_sitelib}/elisa/plugins/dvd/i18n/sk
%lang(cs) %{python_sitelib}/elisa/plugins/poblesec/i18n/cs
%lang(de) %{python_sitelib}/elisa/plugins/poblesec/i18n/de
%lang(es) %{python_sitelib}/elisa/plugins/poblesec/i18n/es
%lang(et) %{python_sitelib}/elisa/plugins/poblesec/i18n/et
%lang(fr) %{python_sitelib}/elisa/plugins/poblesec/i18n/fr
%lang(gl) %{python_sitelib}/elisa/plugins/poblesec/i18n/gl
%lang(hu) %{python_sitelib}/elisa/plugins/poblesec/i18n/hu
%lang(it) %{python_sitelib}/elisa/plugins/poblesec/i18n/it
%lang(nl) %{python_sitelib}/elisa/plugins/poblesec/i18n/nl
%lang(pl) %{python_sitelib}/elisa/plugins/poblesec/i18n/pl
%lang(ru) %{python_sitelib}/elisa/plugins/poblesec/i18n/ru
%lang(sk) %{python_sitelib}/elisa/plugins/poblesec/i18n/sk
%lang(cs) %{python_sitelib}/elisa/plugins/search/i18n/cs
%lang(de) %{python_sitelib}/elisa/plugins/search/i18n/de
%lang(es) %{python_sitelib}/elisa/plugins/search/i18n/es
%lang(et) %{python_sitelib}/elisa/plugins/search/i18n/et
%lang(fr) %{python_sitelib}/elisa/plugins/search/i18n/fr
%lang(gl) %{python_sitelib}/elisa/plugins/search/i18n/gl
%lang(hu) %{python_sitelib}/elisa/plugins/search/i18n/hu
%lang(it) %{python_sitelib}/elisa/plugins/search/i18n/it
%lang(nl) %{python_sitelib}/elisa/plugins/search/i18n/nl
%lang(pl) %{python_sitelib}/elisa/plugins/search/i18n/pl
%lang(ru) %{python_sitelib}/elisa/plugins/search/i18n/ru
%lang(sk) %{python_sitelib}/elisa/plugins/search/i18n/sk

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 15 2010 Graeme Gillies <ggillies at, redhat.com> 1.0.9-3
- Fixed spelling mistake in description
- Changed excludes to just be removed during install instead
- Fixed file list to not throw error about duplicates

* Tue Dec 15 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.9-2
- Refactored/cleaned up spec file for readability

* Thu Dec  3 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.9-1
- Updated to Moovida 1.0.9

* Mon Nov 16 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.8-1
- Update to 1.0.8
- Refactored/cleaned up spec file

* Thu Aug  6 2009 Matthias Saou <http://freshrpms.net/> 1.0.6-1
- Update to 1.0.6.
- Remove no longer shipped "favorites" plugin.

* Thu Jul 23 2009 Matthias Saou <http://freshrpms.net/> 1.0.5-1
- Update to 1.0.5.

* Thu Jul  2 2009 Matthias Saou <http://freshrpms.net/> 1.0.4-1
- Update to 1.0.4.

* Tue Jun 16 2009 Matthias Saou <http://freshrpms.net/> 1.0.3-1
- Update to 1.0.3.

* Mon Jun  8 2009 Matthias Saou <http://freshrpms.net/> 1.0.2-1
- Update to 1.0.2.

* Mon Jun  1 2009 Matthias Saou <http://freshrpms.net/> 1.0.1-2
- Obsolete elisa, to avoid conflicts and provide an upgrade path.
- Update the pigment-python requirement, the very latest is required.

* Fri May 29 2009 Matthias Saou <http://freshrpms.net/> 1.0.1-1
- Initial RPM release based on elisa-plugins-bad spec file.
